[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.EndScreenCursor

Removes the current mouse cursor shape from the internal list, and restores the previous cursor shape.

## Declaration

Source position: forms.pp line 1269

`public procedure TScreen.EndScreenCursor;`

## Description

Calls the EndTempCursor method to remove the current mouse cursor shape from the internal list of cursors. The most recent cursor shape in the internal list is restored when it differs from the value assigned to Cursor.

Use BeginScreenCursor to make the value in Cursor the current cursor shape for the screen.

## See also

TScreen.BeginScreenCursor |  | Changes the active cursor to the most recent shape in the internal list of cursors.
TScreen.BeginTempCursor |  | Sets the Cursor property to a temporary shape. Use EndTempCursor to release it.
TScreen.EndTempCursor |  | Releases a temporary mouse cursor set with BeginTempCursor.